summaryrefslogtreecommitdiff
path: root/dev-cpp/libxmlpp/libxmlpp-2.42.2.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-01-01 00:56:15 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2023-01-01 00:56:15 +0000
commit30669ead0378446d21b38cb86b57e1679ec2c7cd (patch)
tree8451dfe532ea083b4f5c56e33761237d2dab1549 /dev-cpp/libxmlpp/libxmlpp-2.42.2.ebuild
parentc1900993ab9cd27179c37739dfcfd577aebb01b8 (diff)
downloadbaldeagleos-repo-30669ead0378446d21b38cb86b57e1679ec2c7cd.tar.gz
baldeagleos-repo-30669ead0378446d21b38cb86b57e1679ec2c7cd.tar.xz
baldeagleos-repo-30669ead0378446d21b38cb86b57e1679ec2c7cd.zip
Adding metadata
Diffstat (limited to 'dev-cpp/libxmlpp/libxmlpp-2.42.2.ebuild')
-rw-r--r--dev-cpp/libxmlpp/libxmlpp-2.42.2.ebuild58
1 files changed, 58 insertions, 0 deletions
diff --git a/dev-cpp/libxmlpp/libxmlpp-2.42.2.ebuild b/dev-cpp/libxmlpp/libxmlpp-2.42.2.ebuild
new file mode 100644
index 000000000000..f373c399cec4
--- /dev/null
+++ b/dev-cpp/libxmlpp/libxmlpp-2.42.2.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+GNOME_ORG_MODULE="${PN/pp/++}"
+
+inherit gnome2 meson-multilib
+
+DESCRIPTION="C++ wrapper for the libxml2 XML parser library"
+HOMEPAGE="http://libxmlplusplus.sourceforge.net/"
+
+LICENSE="LGPL-2.1"
+SLOT="2.6"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~x86-solaris"
+IUSE="doc test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-libs/libxml2-2.7.7[${MULTILIB_USEDEP}]
+ >=dev-cpp/glibmm-2.32.0:2[${MULTILIB_USEDEP}]
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ virtual/pkgconfig
+ doc? (
+ dev-cpp/mm-common
+ app-doc/doxygen
+ media-gfx/graphviz
+ dev-libs/libxslt
+ )
+"
+
+src_prepare() {
+ default
+
+ sed -i \
+ -e "/install_docdir = /s/'doc'/'gtk-doc'/" \
+ docs/reference/meson.build || die
+ sed -i \
+ -e "/install_tutorialdir = /s/'doc'/'gtk-doc'/" \
+ docs/manual/meson.build || die
+}
+
+multilib_src_configure() {
+ local emesonargs=(
+ -Dmaintainer-mode=false
+ -Dwarnings=min
+ -Ddist-warnings=max
+ -Dbuild-deprecated-api=true
+ $(meson_native_use_bool doc build-documentation)
+ -Dvalidation=false
+ -Dbuild-pdf=false
+ -Dbuild-examples=false
+ $(meson_use test build-tests)
+ -Dmsvc14x-parallel-installable=false
+ )
+ meson_src_configure
+}